std::ranges::subrange_kind(3)

NAME
std::ranges::subrange_kind - std::ranges::subrange_kind

Synopsis
   Defined in header <ranges>
   enum class subrange_kind : bool {
       unsized, (since C++20)
       sized
   };
   Specifies if a std::ranges::subrange models std::ranges::sized_range or not.
   Constant Explanation
   unsized specifies that the subrange does not model sized_range
   sized specifies that the subrange does model sized_range